



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>【iOS】使用safari对webview进行调试</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">【iOS】使用safari对webview进行调试</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-28 21:51:12 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h1>【iOS】使用safari对webview进行调试</h1>
<p>在web开发的过程中，抓包、调试页面样式、查看请求头是很常用的技巧。其实在iOS开发中，这些技巧也能用（无论是模拟器还是真机），不过我们需要用到mac自带的浏览器Safari。所以，本文将讲解如何使用Safari对iOS程序中的webview进行调试。</p>
<p>环境信息：</p>
<p>Mac OS X 10.10.1</p>
<p>Xcode 6.1.1</p>
<p>iOS 8.1</p>
<p>正文：</p>
<h4>1. 打开模拟器（真机）的开发者模式</h4>
<p>【设置】-&gt;【Safari】-&gt;【高级】-&gt;【Web检查器】打开</p>
<div><img referrerpolicy="no-referrer"src="http://7xlnnj.com1.z0.glb.clouddn.com/ios-user-safari-debug-webview-4.png" /></p>
<p>打开iphone设备中的web检查器</p>
</div>
<h4>2. 打开Mac上Safari的开发者模式</h4>
<p>【Safari】-&gt;【偏好设置】-&gt;【高级】-&gt;【在菜单栏中显示&ldquo;开发&rdquo;菜单】勾选</p>
<div><img referrerpolicy="no-referrer"src="http://7xlnnj.com1.z0.glb.clouddn.com/ios-user-safari-debug-webview-2.png" /></p>
<p>打开Safari中的开发者模式</p>
</div>
<h4>3. 写一个webview并加载一个网页</h4>
<pre class="prettyprint linenums"><code><br />
#import "ViewController.h"<br />
@interfaceViewController ()

@property (strong, nonatomic) UIWebView *webView;

@end

@implementation ViewController

 - (void)viewDidLoad {

    [superviewDidLoad];<br />
    // Do any additional setup after loading the view, typically from a nib.

    _webView = [[UIWebViewalloc] initWithFrame:self.view.bounds];<br />
    [_webView loadRequest:[NSURLRequest requestWithURL:[NSURL URLWithString:@"http://www.baidu.com"]]];<br />
    [self.view addSubview:_webView];<br />
 }

@end

</code></pre>
<h4>4. 在模拟器（真机）中打开webview应用，并打开Safari查看网络信息</h4>
<p>【开发】-&gt;【iOS Simulator】-&gt;【正在调试的网站】</p>
<p><strong>注意：必须要webview在加载网页时，打开Safari才可以看到调试模式。</strong></p>
<div><img referrerpolicy="no-referrer"src="http://7xlnnj.com1.z0.glb.clouddn.com/ios-user-safari-debug-webview-6.png" /></p>
<p>打开Safari中的调试</p>
</div>
<p>在弹出的调试窗口中，可以看到当前正在加载网页的各种信息，包括源码、请求头、图片、加载的资源与脚本、控制台输出等。并且它和web前端的调试方式相同，你可以直接修改网页的CSS样式，对网页布局等进行修改，而不用重新运行整个App。</p>
<h4>5. 修改web样式</h4>
<p>将光标选中到要修改的样式，进行修改后，可以直接在模拟器中看到修改后的效果。</p>
<div><img referrerpolicy="no-referrer"src="http://7xlnnj.com1.z0.glb.clouddn.com/ios-user-safari-debug-webview-3.png" /></p>
<p>直接修改webview中的样式</p>
</div>
<p>当然，webview的调试技巧还有很多，比如<a href="http://www.charlesproxy.com/" rel="external nofollow noreferrer">Charles</a>工具等。感兴趣的小伙伴可以多研究下。</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/m8zjvyx9.html">從 Internet 安裝 Cygwin</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9j6r54q.html">hdu 1520  Anniversary party 基础树dp</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4yjdp0q.html">vim制作c的IDE</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlmo7ve9.html">IDL---ENVI</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pjk0yy9.html">Java练习之最大相同子串</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2w0emoq.html">关于Java中计算日期差值不准确问题</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlmwere9.html">ASP&period;NET获取URL</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7m2nvxq.html">HDOJ2004成绩转换</a>
		</li>
						<li><a href="https://www.batexi.com/a/8z1xppd9.html">android 获取当前版本号&sol;修改自定义的应用程序的版本号</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pj405d9.html">javascript模块</a>
		</li>
						<li><a href="https://www.batexi.com/a/8okerz59.html">sass基础学习</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k1w2m79.html">解决Firefox下input button内文字垂直居中</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2jwpm38.html">web框架之Spring-MVC环境搭建&lpar;转&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gee5708.html">对XSD schema文件中elementFormDefault属性的理解</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pdpydk9.html">CSS样式笔记</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwj5gdy8.html">jQuery如何实现点击页面获得当前点击元素</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e44mge9.html">ubuntu自带截图工具--方便好用（转）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyyvgvdq.html">自动化测试基础篇--Selenium简单的163邮箱登录实例</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j1r4z49.html">lnmp使用socket方式连接nginx优化php-fpm性能</a>
		</li>
						<li><a href="https://www.batexi.com/a/9537ox08.html">dsdsd</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/5qxze3z8.html">Elasticsearch&mdash;&mdash;分词器对String的作用</a>
			</li>
						<li><a href="https://www.batexi.com/a/oqv3kg18.html">IStream 接口</a>
			</li>
						<li><a href="https://www.batexi.com/a/xq437ye8.html">ASP&period;NET Core 1&period;0到底是什么？</a>
			</li>
						<li><a href="https://www.batexi.com/a/rqlpxle9.html">android释放内存的一个办法</a>
			</li>
						<li><a href="https://www.batexi.com/a/49grxz0q.html">C&num;的变迁史 - C&num; 4&period;0 之多线程篇</a>
			</li>
						<li><a href="https://www.batexi.com/a/m96z414q.html">SQLServer中游标是如何处理数据的？</a>
			</li>
						<li><a href="https://www.batexi.com/a/390klgmq.html">Android使用SAX解析XML&lpar;5&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/r93gke08.html">【Java每日一题】20161103</a>
			</li>
						<li><a href="https://www.batexi.com/a/e9p2y7z8.html">内存只有4G的MBP要怎么破</a>
			</li>
						<li><a href="https://www.batexi.com/a/jqdr4z78.html">GJM ： 基于Actor模式的c&num;网络游戏服务器的实现和Unity游戏客户端的连接 &lbrack;转载&rsqb;</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
